unit ComposicaoProduto;

interface

uses
  Windows, system.UItypes, IB_Access,  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ModeloCadastro, StdCtrls, IB_Controls, UCBase, ImgList,
  AppEvnts, IB_Components, ExtCtrls, jpeg, Grids, IB_Grid, Buttons,
  ComCtrls, System.ImageList, Vcl.Mask, IB_EditButton;

type
  TfrmCadComposicaoProduto = class(TFrModeloCadastro)
    GroupBox2: TGroupBox;
    dbCodigo: TIB_Text;
    GroupBox3: TGroupBox;
    GroupBox1: TGroupBox;
    dbTamanhoBatoque: TIB_RadioGroup;
    dbTipoAlca: TIB_ComboBox;
    dbTipoCabo: TIB_ComboBox;
    dbTipoBatoque: TIB_ComboBox;
    edtRazaoSocial: TIB_Edit;
    procedure BtGravarClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BtInserirClick(Sender: TObject);
  private
    function TestaExistencia: Boolean;
    { Private declarations }
  public
    { Public declarations }
    Consulta:Boolean;
  end;

var
  frmCadComposicaoProduto: TfrmCadComposicaoProduto;

implementation

{$R *.dfm}

function TfrmCadComposicaoProduto.TestaExistencia:Boolean;
begin
  qryPesquisa.Close;
  qryPesquisa.SQL.Clear;
  qryPesquisa.SQL.Add('SELECT * ');
  qryPesquisa.SQL.Add('FROM composicao_produto ');
  qryPesquisa.SQL.Add('WHERE (TAMPA=:VARTAMPA) and (BATOQUE=:VARBATOQUE) and (TIPO_ALCA=:VARALCA) and (TIPO_CABO=:VARCABO) AND (TIPO_BATOQUE=:VARTIPO_BATOQUE)');
  qryPesquisa.ParamByName('VARTAMPA').Value:=tbPrincipal.FieldByName('TAMPA').Value;
  qryPesquisa.ParamByName('VARBATOQUE').Value:=tbPrincipal.FieldByName('BATOQUE').Value;
  qryPesquisa.ParamByName('VARALCA').Value:=tbPrincipal.FieldByName('TIPO_ALCA').Value;
  qryPesquisa.ParamByName('VARCABO').Value:=tbPrincipal.FieldByName('TIPO_CABO').Value;
  qryPesquisa.ParamByName('VARTIPO_BATOQUE').Value:=tbPrincipal.FieldByName('TIPO_BATOQUE').Value;
  qryPesquisa.Open;
  if qryPesquisa.RecordCount > 0
  then Result:=True
  else Result:=False;
end;

procedure TfrmCadComposicaoProduto.BtGravarClick(Sender: TObject);
begin
  if ((tbPrincipal.FieldByName('TAMPA').Value = 'N') and
     (tbPrincipal.FieldByName('BATOQUE').Value = '-') and
     (tbPrincipal.FieldByName('TIPO_ALCA').Value = '-') and
     (tbPrincipal.FieldByName('TIPO_CABO').Value = '-') and
     (tbPrincipal.FieldByName('TIPO_BATOQUE').Value = '-'))
  then
    begin
      MessageDlg('Todos os campos estão em Branco', mtWarning, [mbOK], 0);
      Exit;
    end
  else
  if TestaExistencia then
  begin
    MessageDlg('Já cadastrado', mtWarning, [mbOK], 0);
    Exit;
  end;
  inherited;
end;

procedure TfrmCadComposicaoProduto.FormCreate(Sender: TObject);
begin
  Gera_Codigo  := True;
  inherited;

end;

procedure TfrmCadComposicaoProduto.BtInserirClick(Sender: TObject);
begin
  inherited;
  tbPrincipal.FieldByName('TAMPA').Value:= 'N';
  tbPrincipal.FieldByName('BATOQUE').Value:= '-';
  tbPrincipal.FieldByName('TIPO_ALCA').Value:= '-';
  tbPrincipal.FieldByName('TIPO_CABO').Value:= '-';
  tbPrincipal.FieldByName('TIPO_BATOQUE').Value:= '-';
end;

end.
